The Vigil@nce team watches public vulnerabilities impacting your computers, and then offers security solutions, a vigilance database and tools to fix them.

Vulnerability of Dnsmasq: seven vulnerabilities

Synthesis of the vulnerability 

An attacker can use several vulnerabilities of Dnsmasq.
Impacted systems: ArubaOS, Debian, Dnsmasq, Fedora, Android OS, Kubernetes, openSUSE Leap, pfSense, RHEL, Slackware, SUSE Linux Enterprise Desktop, SLES, Synology DSM, Synology DS***, Synology RS***, Ubuntu.
Severity of this alert: 4/4.
Number of vulnerabilities in this bulletin: 7.
Creation date: 02/10/2017.
Références of this alert: ARUBA-PSA-2017-005, CERTFR-2017-AVI-329, CVE-2017-13704, CVE-2017-14491, CVE-2017-14492, CVE-2017-14493, CVE-2017-14494, CVE-2017-14495, CVE-2017-14496, DLA-1124-1, DSA-3989-1, FEDORA-2017-24f067299e, FEDORA-2017-515264ae24, openSUSE-SU-2017:2633-1, OSSN/OSSN-0082, RHSA-2017:2836-01, RHSA-2017:2837-01, RHSA-2017:2838-01, RHSA-2017:2839-01, RHSA-2017:2840-01, RHSA-2017:2841-01, SSA:2017-275-01, SUSE-SU-2017:2616-1, SUSE-SU-2017:2617-1, SUSE-SU-2017:2619-1, Synology-SA-17:59, USN-3430-1, USN-3430-2, USN-3430-3, VIGILANCE-VUL-24005, VU#973527.

Description of the vulnerability 

An attacker can use several vulnerabilities of Dnsmasq.
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

This computer threat note impacts software or systems such as ArubaOS, Debian, Dnsmasq, Fedora, Android OS, Kubernetes, openSUSE Leap, pfSense, RHEL, Slackware, SUSE Linux Enterprise Desktop, SLES, Synology DSM, Synology DS***, Synology RS***, Ubuntu.

Our Vigil@nce team determined that the severity of this weakness alert is critical.

The trust level is of type confirmed by the editor, with an origin of document.

This bulletin is about 7 vulnerabilities.

An attacker with a expert ability can exploit this computer weakness note.

Solutions for this threat 

Dnsmasq: version 2.78.
The version 2.78 is fixed:
  http://www.thekelleys.org.uk/dnsmasq/

Kubernetes: version 1.7.7.
The version 1.7.7 is fixed:
  https://github.com/kubernetes/kubernetes/releases/tag/v1.7.7

Kubernetes: version 1.6.11.
The version 1.6.11 is fixed:
  https://github.com/kubernetes/kubernetes/releases/tag/v1.6.11

Kubernetes: version 1.5.8.
The version 1.5.8 is fixed:
  https://kubernetes.io/
  https://dl.k8s.io/v1.5.8/kubernetes.tar.gz

Android OS: patches 2017-10-01 and 2017-10-05.
A patch is indicated in information sources.

ArubaOS: fixed versions for Dnsmasq.
Fixed versions are indicated in information sources.

Debian: new dnsmasq packages.
New packages are available:
  Debian 7: dnsmasq 2.62-3+deb7u4
  Debian 8: dnsmasq 2.72-3+deb8u2
  Debian 9: dnsmasq 2.76-5+deb9u1

Fedora: new dnsmasq packages.
New packages are available:
  Fedora 25: dnsmasq 2.76-4.fc25
  Fedora 26: dnsmasq 2.76-5.fc26

OpenStack Neutron: solution for dnsmasq.
The solution is indicated in information sources.

openSUSE Leap: new dnsmasq packages.
New packages are available:
  openSUSE Leap 42.2: dnsmasq 2.78-10.6.1
  openSUSE Leap 42.3: dnsmasq 2.78-13.1

pfSense: version 2.3.5.
The version 2.3.5 is fixed:
  https://www.pfsense.org/download/

pfSense: version 2.4.1.
The version 2.4.1 is fixed:
  https://www.pfsense.org/download/

RHEL: new dnsmasq packages.
New packages are available:
  RHEL 5: dnsmasq 2.45-2.el5_11.1
  RHEL 6: dnsmasq 2.48-18.el6_9
  RHEL 7: dnsmasq 2.76-2.el7_4.2

Slackware: new dnsmasq packages.
New packages are available:
  Slackware 13.0: dnsmasq 2.78-*-1_slack13.0
  Slackware 13.1: dnsmasq 2.78-*-1_slack13.1
  Slackware 13.37: dnsmasq 2.78-*-1_slack13.37
  Slackware 14.0: dnsmasq 2.78-*-1_slack14.0
  Slackware 14.1: dnsmasq 2.78-*-1_slack14.1
  Slackware 14.2: dnsmasq 2.78-*-1_slack14.2

SUSE LE: new dnsmasq packages (03/10/2017).
New packages are available:
  SUSE LE 11 SP3: dnsmasq 2.78-0.16.5.1
  SUSE LE 11 SP4: dnsmasq 2.78-0.17.5.1
  SUSE LE 12 RTM: dnsmasq 2.78-6.6.1

Synology DS/RS: version 6.1.3-15152-6.
The version 6.1.3-15152-6 is fixed:
  https://www.synology.com/

Ubuntu: new dnsmasq packages.
New packages are available:
  Ubuntu 17.04: dnsmasq 2.76-5ubuntu0.1
  Ubuntu 16.04 LTS: dnsmasq 2.75-1ubuntu0.16.04.3
  Ubuntu 14.04 LTS: dnsmasq 2.68-1ubuntu0.2
  Ubuntu 12.04 ESM: dnsmasq 2.59-4ubuntu0.4

Wind River Linux: solution for DNSMasq.
A monthly patch is available in VIGILANCE-SOL-55492.

Wind River Linux: solution of End-October 2017.
The solution is indicated in information sources.
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

Computer vulnerabilities tracking service 

Vigil@nce provides a computer security announce. The Vigil@nce team tracks computer vulnerabilities impacting systems and applications.